MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028643Open CASCADE[OCCT] OCCT:Codingpublic2017-04-07 22:562017-05-12 11:36
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformLinuxOSUbuntuOS Version17.04
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0*Fixed in Version 
Summary0028643: Coding rules - eliminate GCC compiler warnings -Wmisleading-indentation
DescriptionGCC6 introduced new compiler warning -Wmisleading-indentation which is emited several times through OCCT code (134 new warnings).


/occt/src/Adaptor3d/Adaptor3d_CurveOnSurface.cxx|746|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/ProjLib/ProjLib_CompProjectedCurve.cxx|417|warning: this ‘for’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/ProjLib/ProjLib_CompProjectedCurve.cxx|1021|warning: this ‘for’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/ProjLib/ProjLib_CompProjectedCurve.cxx|1593|warning: this ‘for’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/BRepTools/BRepTools_Quilt.cxx|122|warning: this ‘for’ clause does not guard... [-Wmisleading-indentation]|

/occt/inc/../src/AppBlend/AppBlend_AppSurf.gxx|613|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/inc/../src/AppBlend/AppBlend_AppSurf.gxx|614|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/inc/../src/AppBlend/AppBlend_AppSurf.gxx|615|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/inc/../src/AppBlend/AppBlend_AppSurf.gxx|619|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/inc/../src/AppBlend/AppBlend_AppSurf.gxx|620|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/inc/../src/AppBlend/AppBlend_AppSurf.gxx|613|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/inc/../src/AppBlend/AppBlend_AppSurf.gxx|614|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/inc/../src/AppBlend/AppBlend_AppSurf.gxx|615|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/inc/../src/AppBlend/AppBlend_AppSurf.gxx|619|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/inc/../src/AppBlend/AppBlend_AppSurf.gxx|620|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/IntPatch/IntPatch_PrmPrmIntersection.cxx|2074|warning: this ‘for’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/BRepGProp/BRepGProp_Gauss.cxx|699|warning: this ‘else’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/BRepLib/BRepLib.cxx|985|warning: this ‘for’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/BRepPrim/BRepPrim_GWedge.cxx|778|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/HLRBRep/HLRBRep_Data.cxx|2088|warning: this ‘else’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/HLRBRep/HLRBRep_Data.cxx|2091|warning: this ‘else’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/HLRBRep/HLRBRep_Data.cxx|2096|warning: this ‘else’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/HLRBRep/HLRBRep_Data.cxx|2099|warning: this ‘else’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/ShapeAnalysis/ShapeAnalysis_CheckSmallFace.cxx|88|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/ShapeAnalysis/ShapeAnalysis_CheckSmallFace.cxx|89|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/ShapeAnalysis/ShapeAnalysis_CheckSmallFace.cxx|90|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/ShapeConstruct/ShapeConstruct_ProjectCurveOnSurface.cxx|706|warning: this ‘for’ clause 
does not guard... [-Wmisleading-indentation]|
/occt/src/ShapeConstruct/ShapeConstruct_ProjectCurveOnSurface.cxx|732|warning: this ‘for’ clause 
does not guard... [-Wmisleading-indentation]|
/occt/src/ShapeConstruct/ShapeConstruct_ProjectCurveOnSurface.cxx|1052|warning: this ‘for’ clause 
does not guard... [-Wmisleading-indentation]|
/occt/src/ShapeUpgrade/ShapeUpgrade_WireDivide.cxx|693|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/TopOpeBRepBuild/TopOpeBRepBuild_Builder1.cxx|954|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/TopOpeBRepBuild/TopOpeBRepBuild_GTopo.cxx|306|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/TopOpeBRepBuild/TopOpeBRepBuild_GTopo.cxx|309|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/TopOpeBRepBuild/TopOpeBRepBuild_GTopo.cxx|314|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/TopOpeBRepBuild/TopOpeBRepBuild_GTopo.cxx|319|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/TopOpeBRepDS/TopOpeBRepDS_connex.cxx|127|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/TopOpeBRepDS/TopOpeBRepDS_connex.cxx|128|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/TopOpeBRepDS/TopOpeBRepDS_connex.cxx|136|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/TopOpeBRepDS/TopOpeBRepDS_connex.cxx|177|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/TopOpeBRepDS/TopOpeBRepDS_connex.cxx|201|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/TopOpeBRepDS/TopOpeBRepDS_connex.cxx|228|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/TopOpeBRepTool/TopOpeBRepTool_TOOL.cxx|1471|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/TopOpeBRepTool/TopOpeBRepTool_TOOL.cxx|1472|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/TopOpeBRepTool/TopOpeBRepTool_TOOL.cxx|1473|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/TopOpeBRepTool/TopOpeBRepTool_TOOL.cxx|1474|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/inc/../src/AppBlend/AppBlend_AppSurf.gxx|613|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/inc/../src/AppBlend/AppBlend_AppSurf.gxx|614|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/inc/../src/AppBlend/AppBlend_AppSurf.gxx|615|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/inc/../src/AppBlend/AppBlend_AppSurf.gxx|619|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/inc/../src/AppBlend/AppBlend_AppSurf.gxx|620|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/BRepOffsetAPI/BRepOffsetAPI_DraftAngle.cxx|483|warning: this ‘for’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/BRepOffsetAPI/BRepOffsetAPI_DraftAngle.cxx|502|warning: this ‘for’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/BRepOffsetAPI/BRepOffsetAPI_DraftAngle.cxx|627|warning: this ‘for’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/BRepOffsetAPI/BRepOffsetAPI_DraftAngle.cxx|790|warning: this ‘for’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/BRepOffsetAPI/BRepOffsetAPI_ThruSections.cxx|359|warning: this ‘for’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/TPrsStd/TPrsStd_ConstraintTools.cxx|1829|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/APIHeaderSection/APIHeaderSection_EditHeader.cxx|47|warning: this ‘if’ clause does not 
guard... [-Wmisleading-indentation]|
/occt/src/APIHeaderSection/APIHeaderSection_EditHeader.cxx|51|warning: this ‘if’ clause does not 
guard... [-Wmisleading-indentation]|
/occt/src/APIHeaderSection/APIHeaderSection_EditHeader.cxx|55|warning: this ‘if’ clause does not 
guard... [-Wmisleading-indentation]|
/occt/src/IFSelect/IFSelect_Functions.cxx|2446|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/IFSelect/IFSelect_SessionPilot.cxx|51|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/Interface/Interface_Category.cxx|114|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/IFSelect/IFSelect_WorkSession.cxx|3058|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/IFSelect/IFSelect_WorkSession.cxx|3174|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/Interface/Interface_CheckIterator.cxx|290|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/Interface/Interface_FileReaderData.cxx|384|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/Interface/Interface_StaticStandards.cxx|28|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/StepSelect/StepSelect_Activator.cxx|34|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/XSControl/XSControl_FuncShape.cxx|715|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/XSControl/XSControl_FuncShape.cxx|784|warning: this ‘for’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/XSControl/XSControl_Functions.cxx|474|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/XSControl/XSControl_WorkSession.cxx|208|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/XSControl/XSControl_WorkSession.cxx|243|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/IGESAppli/IGESAppli_Protocol.cxx|51|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/IGESBasic/IGESBasic_Protocol.cxx|45|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/IGESData/IGESData_IGESReaderTool.cxx|397|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/IGESData/IGESData_IGESWriter.cxx|523|warning: this ‘else’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/IGESData/IGESData_IGESWriter.cxx|542|warning: this ‘else’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/IGESData/IGESData_IGESWriter.cxx|567|warning: this ‘else’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/IGESData/IGESData_IGESWriter.cxx|571|warning: this ‘else’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/IGESData/IGESData_IGESWriter.cxx|599|warning: this ‘else’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/IGESData/IGESData_IGESWriter.cxx|615|warning: this ‘else’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/IGESDefs/IGESDefs_Protocol.cxx|35|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/IGESDefs/IGESDefs_ToolAttributeDef.cxx|403|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/IGESDefs/IGESDefs_ToolAttributeDef.cxx|406|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/IGESDefs/IGESDefs_ToolAttributeDef.cxx|409|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/IGESDefs/IGESDefs_ToolAttributeDef.cxx|412|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/IGESDefs/IGESDefs_ToolAttributeDef.cxx|415|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/IGESDimen/IGESDimen_Protocol.cxx|55|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/IGESDraw/IGESDraw_Protocol.cxx|43|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/IGESGeom/IGESGeom_Protocol.cxx|53|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/IGESGraph/IGESGraph_Protocol.cxx|43|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/IGESGraph/IGESGraph_ToolDrawingUnits.cxx|103|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/IGESGraph/IGESGraph_ToolDrawingUnits.cxx|105|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/IGESGraph/IGESGraph_ToolDrawingUnits.cxx|108|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/IGESGraph/IGESGraph_ToolDrawingUnits.cxx|110|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/IGESGraph/IGESGraph_ToolDrawingUnits.cxx|112|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/IGESGraph/IGESGraph_ToolDrawingUnits.cxx|114|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/IGESGraph/IGESGraph_ToolDrawingUnits.cxx|116|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/IGESGraph/IGESGraph_ToolDrawingUnits.cxx|118|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/IGESGraph/IGESGraph_ToolDrawingUnits.cxx|120|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/IGESGraph/IGESGraph_ToolDrawingUnits.cxx|122|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/IGESSelect/IGESSelect_Activator.cxx|65|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/IGESSolid/IGESSolid_Protocol.cxx|54|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/RWStepAP214/RWStepAP214.cxx|29|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/StepAP214/StepAP214_Protocol.cxx|764|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/STEPCAFControl/STEPCAFControl_Writer.cxx|3833|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/GeomliteTest/GeomliteTest_SurfaceCommands.cxx|938|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/GeomliteTest/GeomliteTest_SurfaceCommands.cxx|1229|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/SWDRAW/SWDRAW_ShapeCustom.cxx|473|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/SWDRAW/SWDRAW_ShapeAnalysis.cxx|311|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/SWDRAW/SWDRAW_ShapeAnalysis.cxx|978|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/SWDRAW/SWDRAW_ShapeExtend.cxx|73|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/SWDRAW/SWDRAW_ShapeExtend.cxx|101|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/SWDRAW/SWDRAW_ShapeProcess.cxx|67|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/SWDRAW/SWDRAW_ShapeFix.cxx|798|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/SWDRAW/SWDRAW_ShapeTool.cxx|228|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/SWDRAW/SWDRAW_ShapeUpgrade.cxx|1567|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/ViewerTest/ViewerTest_ViewerCommands.cxx|353|warning: this ‘else’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/ViewerTest/ViewerTest_ViewerCommands.cxx|1085|warning: this ‘for’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/ViewerTest/ViewerTest_ViewerCommands.cxx|1307|warning: this ‘if’ clause does not guard... 
[-Wmisleading-indentation]|
/occt/src/XSDRAW/XSDRAW.cxx|100|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/XDEDRAW/XDEDRAW_Colors.cxx|367|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/XDEDRAW/XDEDRAW_Layers.cxx|406|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/XDEDRAW/XDEDRAW_Common.cxx|519|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/XDEDRAW/XDEDRAW_GDTs.cxx|2518|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/XDEDRAW/XDEDRAW_Shapes.cxx|852|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/XDEDRAW/XDEDRAW_Views.cxx|1312|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/XDEDRAW/XDEDRAW_Props.cxx|911|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/XDEDRAW/XDEDRAW.cxx|1102|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/TObjDRAW/TObjDRAW.cxx|463|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

/occt/src/QABugs/QABugs_11.cxx|2553|warning: this ‘if’ clause does not guard... [-Wmisleading-indentation]|

Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0065064)
git (administrator)
2017-04-08 14:50

Branch CR28643 has been created by kgv.

SHA-1: ee4f4419681ab7b88114596115011060662415b1


Detailed log of new commits:

Author: kgv
Date: Sat Apr 8 14:50:24 2017 +0300

    0028643: Coding rules - eliminate GCC compiler warnings -Wmisleading-indentation
(0065065)
kgv (developer)
2017-04-08 14:52
edited on: 2017-04-08 14:53

Patch is ready for review.

Please pay extra attention on BRepPrim_GWedge::HasEdge() and STEPCAFControl_Writer::WriteDGTsAP242().

(0065072)
git (administrator)
2017-04-10 10:19

Branch CR28643 has been updated forcibly by kgv.

SHA-1: e5fb0cb68f1222aceeab07181ee6d73b6f1ee7ac
(0065077)
git (administrator)
2017-04-10 12:20

Branch CR28643 has been updated by abv.

SHA-1: f4133450c9f31933861b63b1383eb37fafe34b84


Detailed log of new commits:

Author: abv
Date: Mon Apr 10 12:20:17 2017 +0300

    // corrections of parentheses and indentation

(0065078)
abv (manager)
2017-04-10 12:21

I have pushed some corrections, please check
(0065079)
kgv (developer)
2017-04-10 12:35

Please test the patch.
(0065108)
mkv (tester)
2017-04-10 17:54

Dear BugMaster,
Branch CR28643 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: e5fb0cb68f1222aceeab07181ee6d73b6f1ee7ac

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1186

Regressions/Differences/Improvements:
http://occt-tests/CR28643-master-OCCT/Debian70-64/summary.html [^]
Failed:
  blend simple F1, K1, L3, L9, N3, N4, N5, N6, N7, N9, O1, O2, O3, O4, O5, O6, O7, P1
http://occt-tests/CR28643-master-OCCT/Windows-64-VC10/blend/simple/L9.html [^]
Failed:
blend simple L9: FAILED (no final message is found)

Testing cases:
Not needed
(0065110)
mkv (tester)
2017-04-10 17:54

Dear kgv,
Branch CR28643 has been rejected due to:
- regressions/differences/improvements
(0065112)
git (administrator)
2017-04-10 21:27

Branch CR28643 has been updated by kgv.

SHA-1: ddab4546ea62fa988de4d2e21b31e1834b007cd0


Detailed log of new commits:

Author: kgv
Date: Mon Apr 10 21:25:51 2017 +0300

    // BRepGProp_Gauss - fix misplaced end of for() braces

(0065113)
git (administrator)
2017-04-10 21:38

Branch CR28643_1 has been created by kgv.

SHA-1: fa70073bf5582bb5c6bca7745b9b8beea1d16f95


Detailed log of new commits:

Author: kgv
Date: Sat Apr 8 14:50:24 2017 +0300

    0028643: Coding rules - eliminate GCC compiler warnings -Wmisleading-indentation
(0065114)
kgv (developer)
2017-04-10 21:39

Please test updated patch.
(0065180)
mkv (tester)
2017-04-12 15:04

Dear BugMaster,
Branch CR28643_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: fa70073bf5582bb5c6bca7745b9b8beea1d16f95

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

ARCH463: 8 (131 on master)
http://jenkins-test-08.nnov.opencascade.com:8080/view/CR28643_1_master/view/OCCT%20compile/job/CR28643_1_master-OCCT-ARCH463-64-opt-compile/1/warningsResult/ [^]
F24: 8 (131 on master)
http://jenkins-test-08.nnov.opencascade.com:8080/view/CR28643_1_master/view/OCCT%20compile/job/CR28643_1_master-OCCT-F24-64-opt-compile/1/warningsResult/ [^]

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1196

ARCH463: 80 (80 on master)
http://jenkins-test-08.nnov.opencascade.com:8080/view/CR28643_1_master/view/PRODUCTS%20compile/job/CR28643_1_master-Products-ARCH463-64-opt-compile/1/warningsResult/ [^]

F24: 84 (84 on master)
http://jenkins-test-08.nnov.opencascade.com:8080/view/CR28643_1_master/view/PRODUCTS%20compile/job/CR28643_1_master-Products-F24-64-opt-compile/1/warningsResult/ [^]

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91707166 / 91386881 [+0.35%]
Total CPU difference: 19610.32000000022 / 19613.170000000242 [-0.01%]
products component :
Total MEMORY difference: 30943566 / 30770563 [+0.56%]
Total CPU difference: 5353.579999999982 / 5358.419999999984 [-0.09%]
Testing on Windows:
occt component :
Total MEMORY difference: 57857638 / 57855806 [+0.00%]
Total CPU difference: 18049.22209939856 / 18063.40259029849 [-0.08%]
products component :
Total MEMORY difference: 22257162 / 22257195 [-0.00%]
Total CPU difference: 5265.7201543999645 / 5313.206858799958 [-0.89%]

There are no differences in images found by testdiff.
(0065181)
mkv (tester)
2017-04-12 15:04

Dear BugMaster,
Branch CR28643_1 is TESTED.
(0065962)
git (administrator)
2017-05-12 11:36

Branch CR28643 has been deleted by kgv.

SHA-1: ddab4546ea62fa988de4d2e21b31e1834b007cd0
(0065963)
git (administrator)
2017-05-12 11:36

Branch CR28643_1 has been deleted by kgv.

SHA-1: fa70073bf5582bb5c6bca7745b9b8beea1d16f95

- Related Changesets
occt: master c48e2889
Timestamp: 2017-04-08 11:50:24
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028643: Coding rules - eliminate GCC compiler warnings -Wmisleading-indentation
mod - src/IFSelect/IFSelect_Functions.cxx Diff ] File ]
mod - src/Interface/Interface_Category.cxx Diff ] File ]
mod - src/Interface/Interface_StaticStandards.cxx Diff ] File ]
mod - src/SWDRAW/SWDRAW_ShapeAnalysis.cxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_ConstraintTools.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_ToolAttributeDef.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_Protocol.cxx Diff ] File ]
mod - src/XSControl/XSControl_WorkSession.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Builder1.cxx Diff ] File ]
mod - src/IGESData/IGESData_IGESReaderTool.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_Protocol.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Common.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolDrawingUnits.cxx Diff ] File ]
mod - src/SWDRAW/SWDRAW_ShapeProcess.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_Protocol.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_Activator.cxx Diff ] File ]
mod - src/IGESData/IGESData_IGESWriter.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_Protocol.cxx Diff ] File ]
mod - src/XSControl/XSControl_Functions.cxx Diff ] File ]
mod - src/SWDRAW/SWDRAW_ShapeExtend.cxx Diff ] File ]
mod - src/AppBlend/AppBlend_AppSurf.gxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_Protocol.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214.cxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_DraftAngle.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_connex.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_GDTs.cxx Diff ] File ]
mod - src/SWDRAW/SWDRAW_ShapeFix.cxx Diff ] File ]
mod - src/XSControl/XSControl_FuncShape.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_WorkSession.cxx Diff ] File ]
mod - src/SWDRAW/SWDRAW_ShapeCustom.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_SurfaceCommands.cxx Diff ] File ]
mod - src/ShapeConstruct/ShapeConstruct_ProjectCurveOnSurface.cxx Diff ] File ]
mod - src/SWDRAW/SWDRAW_ShapeUpgrade.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Writer.cxx Diff ] File ]
mod - src/BRepGProp/BRepGProp_Gauss.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Shapes.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Layers.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Colors.cxx Diff ] File ]
mod - src/XSDRAW/XSDRAW.cxx Diff ] File ]
mod - src/APIHeaderSection/APIHeaderSection_EditHeader.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_CheckSmallFace.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SessionPilot.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_WireDivide.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_Protocol.cxx Diff ] File ]
mod - src/Interface/Interface_FileReaderData.cxx Diff ] File ]
mod - src/BRepLib/BRepLib.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_Quilt.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_CompProjectedCurve.cxx Diff ] File ]
mod - src/SWDRAW/SWDRAW_ShapeTool.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_Protocol.cxx Diff ] File ]
mod - src/StepSelect/StepSelect_Activator.cxx Diff ] File ]
mod - src/Interface/Interface_CheckIterator.cxx Diff ] File ]
mod - src/BRepPrim/BRepPrim_GWedge.cxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_ThruSections.cxx Diff ] File ]
mod - src/TObjDRAW/TObjDRAW.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_TOOL.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_PrmPrmIntersection.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_Protocol.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Data.cxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_CurveOnSurface.cxx Diff ] File ]
mod - src/ChFi2d/ChFi2d_Builder.cxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_Protocol.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Props.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Views.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GTopo.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-04-07 22:56 kgv New Issue
2017-04-07 22:56 kgv Assigned To => kgv
2017-04-07 22:59 kgv Description Updated View Revisions
2017-04-08 14:50 git Note Added: 0065064
2017-04-08 14:52 kgv Note Added: 0065065
2017-04-08 14:52 kgv Assigned To kgv => abv
2017-04-08 14:52 kgv Status new => resolved
2017-04-08 14:53 kgv Note Edited: 0065065 View Revisions
2017-04-10 10:19 git Note Added: 0065072
2017-04-10 12:20 git Note Added: 0065077
2017-04-10 12:21 abv Note Added: 0065078
2017-04-10 12:21 abv Assigned To abv => kgv
2017-04-10 12:35 kgv Note Added: 0065079
2017-04-10 12:35 kgv Assigned To kgv => bugmaster
2017-04-10 12:35 kgv Status resolved => reviewed
2017-04-10 12:53 mkv Assigned To bugmaster => mkv
2017-04-10 17:54 mkv Note Added: 0065108
2017-04-10 17:54 mkv Note Added: 0065110
2017-04-10 17:54 mkv Assigned To mkv => kgv
2017-04-10 17:54 mkv Status reviewed => assigned
2017-04-10 17:54 mkv Test case number => Not needed
2017-04-10 21:27 git Note Added: 0065112
2017-04-10 21:38 git Note Added: 0065113
2017-04-10 21:39 kgv Note Added: 0065114
2017-04-10 21:39 kgv Assigned To kgv => bugmaster
2017-04-10 21:39 kgv Status assigned => resolved
2017-04-10 21:39 kgv Status resolved => reviewed
2017-04-12 15:04 mkv Note Added: 0065180
2017-04-12 15:04 mkv Note Added: 0065181
2017-04-12 15:04 mkv Status reviewed => tested
2017-04-14 14:28 bugmaster Changeset attached => occt master c48e2889
2017-04-14 14:28 bugmaster Status tested => verified
2017-04-14 14:28 bugmaster Resolution open => fixed
2017-05-12 11:36 git Note Added: 0065962
2017-05-12 11:36 git Note Added: 0065963


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker